Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.genericinsurability.core.v1
Class LicenseType

    java.lang.Object
      be.fgov.ehealth.genericinsurability.core.v1.LicenseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:01:01+01:00",
               comments="JAXB RI v2.2.11")
    public class LicenseType

extends Object
implements Serializable

Information about the license of a package.

Java class for LicenseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="LicenseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Username" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Password" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`LicenseType()`

Method Summary
`String` | `getPassword()` Gets the value of the password property.
`String` | `getUsername()` Gets the value of the username property.
`void` | `setPassword(String value)` Sets the value of the password property.
`void` | `setUsername(String value)` Sets the value of the username property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LicenseType

    public LicenseType()

Method Detail

### getUsername

    public String getUsername()

  Gets the value of the username property.

  Returns:
    possible object is `String`

### setUsername

    public void setUsername(String value)

  Sets the value of the username property.

  Parameters:
    `value` - allowed object is `String`

### getPassword

    public String getPassword()

  Gets the value of the password property.

  Returns:
    possible object is `String`

### setPassword

    public void setPassword(String value)

  Sets the value of the password property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.